New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2638 (AGF-01_Debreu_domcfg) – NEMO

Opened 15 months ago

Last modified 4 months ago

#2638 assigned Task

AGF-01_Debreu_domcfg

Reported by: smasson Owned by: ldebreu
Priority: low Milestone: Unscheduled
Component: AGRIF Version: trunk
Severity: minor Keywords:
Cc:

Description

Workplan action

AGRIF / Configuration domain generation tool refactoring & Agrif friendly

Wikipage: wiki:2021WP/AGF-01_Debreu_domcfg

Commit History (54)

ChangesetAuthorTimeChangeLog
15556jchanut2021-11-29T16:23:06+01:00

#2638: Add the possibility to read bottom levels at U/V/F points in the mesh file. Store fe3mask (i.e. fmask as it is prior updating it for lateral boundary conditions). All is this is only needed to ensure a correct update of parent grid variables with AgRIF. This also anticipates the possible use of coarsened meshes.

15348jchanut2021-10-08T09:58:20+02:00

#2638, set bathymetry minimum on child grids prior boundary update from parent.

15347jchanut2021-10-07T17:47:59+02:00

#2638, set parent e3t as the maximum not the average of child grid values (without vertical remapping). Number of vertical levels was ok, though.

15331jchanut2021-10-05T14:51:14+02:00

#2638, add closed seas filling algorithm (inside AGRIF zooms only)

15279jchanut2021-09-23T12:00:23+02:00

#2222 and #2638: Enable creating agrif meshes with different vertical grids (geopotential only as a start)

15265jchanut2021-09-16T13:13:13+02:00

Improve ghost cell initialization with AGRIF + minor changes such as missing _wp, tests namelists updates, etc... can be assigned to #2638

15162jchanut2021-07-30T17:05:27+02:00

#2638, fixes bathymetry interpolation with even refinement factors

15130jchanut2021-07-19T16:54:25+02:00

#2638, Remove useless interpolation over land points around zoom + revert external switch in the i direction to the previous one (issue with north fold corssing with nn_hls=2)

15119jchanut2021-07-13T16:43:22+02:00

#2638, changes to accomodate nn_hls=2 and AGRIF zooms crossing cyclic boundaries. E-W case ok, update for North-Fold still needed.

15113jchanut2021-07-09T10:04:38+02:00

Correct AGRIF divergence conserving interpolation with cyclic zooms (i.e. nbghostcells_x/nbghostcells_y_s /= nbghostcells), #2638

15059jchanut2021-06-25T11:38:06+02:00

#2638, replace flags for cyclic boundaries to run DOMAINcfg with agrif and cyclic boundaries in mpp (as is, l_Iperio is indeed false in mpp mode).

15031jchanut2021-06-21T12:05:41+02:00

#2638, add lbclnks for ice initial state if interpolated from parent

14977jchanut2021-06-11T11:24:35+02:00

#2638, set trunk AGRIF external to the updated library

14976jchanut2021-06-11T11:14:27+02:00

#2638, merge dev_14608_AGRIF_domcfg branch into trunk

14975jchanut2021-06-11T11:05:32+02:00

#2638, merge new AGRIF library into trunk

14973jchanut2021-06-11T10:31:40+02:00

#2638, changed merged revisions

14971jchanut2021-06-11T10:22:51+02:00

#2638, keep up with the trunk

14962jchanut2021-06-09T16:20:13+02:00

#2638, update python script to accomodate multiply nested zooms

14958jchanut2021-06-07T16:31:38+02:00

#2638, synchronize branch with trunk

14956jchanut2021-06-04T18:19:19+02:00

#2638, update AGRIF_DEMO definition

14955jchanut2021-06-04T18:02:36+02:00

#2638, Updated python script to be compliant with previous commit

14952jchanut2021-06-04T17:42:50+02:00

#2638, closed domains AGRIF new convention + various add ons

14951jchanut2021-06-04T17:35:08+02:00

#2638, change grid positioning convention (again) in case of closed boundaries over parent grid. Accounting for 1 extra land cell in that case, child grids have to be shifted by 1 point to the South East.

14950jchanut2021-06-04T17:27:25+02:00

#2638, shifted southern bdy sponge

14931jchanut2021-05-31T16:36:45+02:00

#2638: restores Pierre's changes done in #2588 at r14199

14721jchanut2021-04-16T16:11:55+02:00

#2638, (partially) correct bathymetry transitioning in corners + add lk_north=.false. case

14720jchanut2021-04-16T15:44:59+02:00

#2638, use i refinement factor in place of j to define e1x over child grids

14703jchanut2021-04-13T16:11:35+02:00

#2638, push restrictions in agrif mapping in case of East-West periodic or North Fold lbcs + Disable interp if lk_north=.false.

14702jchanut2021-04-13T16:08:34+02:00

#2638, push restrictions in agrif mapping in case of East-West periodic or North Fold lbcs

14698jchanut2021-04-13T14:11:15+02:00

#2638: initialize agrif ghost cells number (to zero) on root grid (DOMAINcfg)

14688jchanut2021-04-09T19:03:15+02:00

Last round of changes following r14674, r14675 and r14687 (AGRIF new grid positionning), #2638

14687jchanut2021-04-09T17:48:50+02:00

#Changes to accomodate AGRIF new grid positionning implemented at r14674 and r14675, #2638

14684jchanut2021-04-08T16:28:09+02:00

Allow chosing type of input bathymetry in child grids again (wrongly introduced @14630), #2638

14673jchanut2021-04-02T15:06:01+02:00

Update ICE_AGRIF child domain as for VORTEX (position dependent on ghost cell number), #2638

14656jchanut2021-03-30T16:44:41+02:00

Revise VORTEX child grid position by taking into account Parent grid ghosts. No need to change AGRIF_FixedGrids.in file anymore if changing the number of ghostcells, #2638

14655jchanut2021-03-30T16:41:30+02:00

AGRIF: Set ghost cell number to 0 over root grid to properly define analytical grids in zooms, #2638

14641jchanut2021-03-26T11:30:01+01:00

1) Revise boundary checking with AGRIF (unify vertical remaping case or not) 2) Disable parent volume check without vertical remaping until we sort out what to do in the damned overlapping zone. At this stage DOMAINcfg produces meshes in agreement with what NEMO expects, except for cyclic East-West child grids for which a mismatch persists at boundaries. Child grids over North Pole Fold or East-West boundaries are however correct, #2638

14640jchanut2021-03-26T11:04:11+01:00

AGFdomcfg: slight changes in boundary matching location to comply with what is expected in NEMO, #2638

14634jchanut2021-03-24T11:06:04+01:00

AGFdomcfg: temporary removal of lbclnk in procnames: this prevents using the tool in mpp mode, #2638

14633jchanut2021-03-24T11:01:30+01:00

AGFdomcfg: fixes internal flags in the East-West periodic case and in cmems demo, #2638

14630jchanut2021-03-23T16:19:36+01:00

AGFdomcfg: 1) restore use of analytical grids (i.e. case where jphgr_msh>0). That may be useful to set up test cases with AGRIF. 2) Add random topography over a flat bottom if nn_bathy = -1 (in place of a Gaussian bump). This illustrates well where the interface matching and update are done. #2638

14629jchanut2021-03-23T12:06:11+01:00

AGFdomcfg: add missing block in reference namelists, #2638

14628jchanut2021-03-22T16:33:44+01:00

AGFdomcfg: Fixes a couple of tiny compilation problems #2638

14626ldebreu2021-03-21T19:47:16+01:00

AGFdomcfg: Update make_namelist.py (Use of NiGlo0, NjGlo0 instead of jpiglo, jpjglo #2638

14625ldebreu2021-03-21T19:46:12+01:00

AGFdomcfg: Update AGRIF_FixedGrids.in, put an updated version for the AGRIF_DEMO test #2638

14624ldebreu2021-03-21T19:44:51+01:00

AGFdomcfg: Update namelist files (jpiglo, jpjglo are replaced by NiGlo0, NjGlo0 version #2638

14623ldebreu2021-03-21T19:40:22+01:00

AGFdomcfg: 1) Update DOMAINcfg to be compliant with the removal of halo cells 2) Update most of the LBC ... subroutines to a recent NEMO 4 version #2638

14622ldebreu2021-03-21T19:36:08+01:00

AGFdomcfg: 1) define some AGRIF variables in real8 2) remove the wrong indices translation in modarrays #2638

14621ldebreu2021-03-21T19:30:00+01:00

AGFdomcfg: allow the conv to understand the IOMSG keyworkd #2638

14620ldebreu2021-03-21T19:27:59+01:00

AGFdomcfg: allow the conv to understand the IOMSG keyworkd #2638

14619ldebreu2021-03-21T19:25:43+01:00

AGFdomcfg:uncomment the call to agrif_set_external_mapping, call agrif_nemo_init even on the root grid #2638

14613smasson2021-03-15T17:05:32+01:00

AGFdomcfg: change svn:externals to use AGRIF/dev_r14608_AGRIF_domcfg, #2638

14612smasson2021-03-15T17:02:18+01:00

AGFdomcfg: create AGRIF dev branch, #2638

14610smasson2021-03-15T16:55:57+01:00

AGFdomcfg: create dev branch, #2638

Change History (57)

comment:1 Changed 15 months ago by smasson

In 14610:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 15 months ago by smasson

In 14612:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 15 months ago by smasson

In 14613:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 14 months ago by ldebreu

In 14619:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 14 months ago by ldebreu

In 14620:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 14 months ago by ldebreu

In 14621:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 14 months ago by ldebreu

In 14622:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 14 months ago by ldebreu

In 14623:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 14 months ago by ldebreu

In 14624:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 14 months ago by ldebreu

In 14625:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 14 months ago by ldebreu

In 14626:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 14 months ago by jchanut

In 14628:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 14 months ago by jchanut

In 14629:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 14 months ago by jchanut

In 14630:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 14 months ago by jchanut

In 14633:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 14 months ago by jchanut

In 14634:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 Changed 14 months ago by jchanut

In 14640:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 14 months ago by jchanut

In 14641:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 14 months ago by jchanut

In 14655:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:20 Changed 14 months ago by jchanut

In 14656:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:21 Changed 14 months ago by jchanut

In 14673:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:22 Changed 14 months ago by jchanut

In 14684:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:23 Changed 14 months ago by jchanut

In 14687:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:24 Changed 14 months ago by jchanut

In 14688:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:25 Changed 14 months ago by jchanut

In 14698:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:26 Changed 14 months ago by jchanut

In 14702:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:27 Changed 14 months ago by jchanut

In 14703:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:28 Changed 13 months ago by jchanut

In 14720:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:29 Changed 13 months ago by jchanut

In 14721:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:30 Changed 13 months ago by nemo

  • Owner set to ldebreu
  • Status changed from new to assigned

comment:31 Changed 12 months ago by jchanut

In 14931:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:32 Changed 12 months ago by jchanut

In 14950:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:33 Changed 12 months ago by jchanut

In 14951:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:34 Changed 12 months ago by jchanut

In 14952:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:35 Changed 12 months ago by jchanut

In 14955:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:36 Changed 12 months ago by jchanut

In 14956:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:37 Changed 12 months ago by jchanut

In 14958:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:38 Changed 12 months ago by jchanut

In 14962:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:39 Changed 12 months ago by jchanut

In 14971:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:40 Changed 12 months ago by jchanut

In 14973:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:41 Changed 12 months ago by jchanut

In 14975:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:42 Changed 12 months ago by jchanut

In 14976:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:43 Changed 12 months ago by jchanut

In 14977:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:44 Changed 11 months ago by jchanut

In 15031:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:45 Changed 11 months ago by jchanut

In 15059:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:46 Changed 11 months ago by jchanut

In 15113:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:47 Changed 11 months ago by jchanut

In 15119:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:48 Changed 10 months ago by jchanut

In 15130:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:49 Changed 10 months ago by jchanut

In 15162:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:50 Changed 8 months ago by jchanut

In 15265:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:51 Changed 8 months ago by jchanut

In 15279:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:52 Changed 8 months ago by jchanut

In 15331:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:53 Changed 8 months ago by mathiot

I don't know if it is relevant, but there is already a flood filling algo in domutl in tools/DOMAINcfg/src/domutl.F90 to detect automatically all ocean cell connected somehow to a specific seed (i,j). For the closed sea module, a seed (lat/lon) is defined in the namelist to detect the open ocean (in case you want to mask it) or each closed sea.

comment:54 Changed 8 months ago by jchanut

In 15347:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:55 Changed 8 months ago by jchanut

In 15348:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:56 Changed 6 months ago by jchanut

In 15556:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:57 Changed 4 months ago by nemo

  • Milestone changed from 2021 WP to Unscheduled
Note: See TracTickets for help on using tickets.